Opened 7 years ago

Closed 7 years ago

#1784 closed defect (fixed)

wingrass6.4.3svn: raster3d problems

Reported by: hellik Owned by: grass-dev@…
Priority: critical Milestone: 6.4.3
Component: Raster3D Version: 6.4.3 RCs
Keywords: Cc:
CPU: x86-64 Platform: MSWindows 7

Description

tested with osgeo4w-wingrass6.4.3RC1 and the slovakia3d-precipitation-sample dataset, there are crashes with g.region and r3.info related to 3d-rasters:

g.region -p rast3d=precip3d.500z50@PERMANENT                                   
D2/3: G__read_Cell_head
D2/3: G__read_Cell_head_array
D3/3: region item: proj:       0
D3/3: region item: zone:       0
D3/3: region item: north:      5530000
D3/3: region item: south:      5275000
D3/3: region item: east:       4631000
D3/3: region item: west:       4186000
D3/3: region item: cols:       890
D3/3: region item: rows:       510
D3/3: region item: e-w resol:  500
D3/3: region item: n-s resol:  500
D3/3: region item: top:        3000
D3/3: region item: bottom:     0
D3/3: region item: cols3:      890
D3/3: region item: rows3:      510
D3/3: region item: depths:     6
D3/3: region item: e-w resol3: 500
D3/3: region item: n-s resol3: 500
D3/3: region item: t-b resol:  500
D2/3: G__read_Cell_head
D2/3: G__read_Cell_head_array
D3/3: region item: proj:       0
D3/3: region item: zone:       0
D3/3: region item: north:      5492305
D3/3: region item: south:      5294826
D3/3: region item: east:       4603765
D3/3: region item: west:       4193437
D3/3: region item: cols:       821
D3/3: region item: rows:       395
D3/3: region item: e-w resol:  499.79049939
D3/3: region item: n-s resol:  499.94683544
D3/3: region item: top:        1900.000000000000000
D3/3: region item: bottom:     95.000000000000000
D3/3: region item: cols3:      821
D3/3: region item: rows3:      395
D3/3: region item: depths:     1805
D3/3: region item: e-w resol3: 499.79049939
D3/3: region item: n-s resol3: 499.94683544
D3/3: region item: t-b resol:  1
WARNING: G3d_readWindow: unable to find [\grassdata/slovakia3d/user1/windows3d/\grassdata/slovakia3d/PERMANENT/grid3/precip3d.500z50/cellhd].
ERROR: Invalid region: North must be larger than South

=> r3.info crash

r3.info --verbose map=precip3d.500z50@PERMANENT                                
D2/3: G__read_Cell_head
D2/3: G__read_Cell_head_array
D3/3: region item: proj:       0
D3/3: region item: zone:       0
D3/3: region item: north:      5492305
D3/3: region item: south:      5294826
D3/3: region item: east:       4603765
D3/3: region item: west:       4193437
D3/3: region item: cols:       821
D3/3: region item: rows:       395
D3/3: region item: e-w resol:  499.79049939
D3/3: region item: n-s resol:  499.94683544
D3/3: region item: top:        1900.000000000000000
D3/3: region item: bottom:     95.000000000000000
D3/3: region item: cols3:      821
D3/3: region item: rows3:      395
D3/3: region item: depths:     1805
D3/3: region item: e-w resol3: 499.79049939
D3/3: region item: n-s resol3: 499.94683544
D3/3: region item: t-b resol:  1

=> r3.info crash

Helmut

Change History (7)

comment:1 in reply to:  description ; Changed 7 years ago by hellik

Replying to hellik:

WARNING: G3d_readWindow: unable to find [\grassdata/slovakia3d/user1/windows3d/\grassdata/slovakia3d/PERMANENT/grid3/precip3d.500z50/cellhd]. ERROR: Invalid region: North must be larger than South }}}

=> r3.info crash

correction: g.region crash

comment:2 in reply to:  1 ; Changed 7 years ago by hellik

WARNING: G3d_readWindow: unable to find [\grassdata/slovakia3d/user1/windows3d/\grassdata/slovakia3d/PERMANENT/grid3/precip3d.500z50/cellhd].
ERROR: Invalid region: North must be larger than South

maybe a path issue?

comment:3 in reply to:  2 Changed 7 years ago by hellik

Replying to hellik:

WARNING: G3d_readWindow: unable to find [\grassdata/slovakia3d/user1/windows3d/\grassdata/slovakia3d/PERMANENT/grid3/precip3d.500z50/cellhd].
ERROR: Invalid region: North must be larger than South

maybe a path issue?

tested with the 3d raster mentioned here: http://lists.osgeo.org/pipermail/grass-dev/2013-February/061990.html

g.region -p rast3d=JR_7408MR_2m_t70@testvolume                                  
WARNING: G3d_readWindow: unable to find [C:\grassdata/nc_spm_08/testvolume/windows3d/C:\grassdata/nc_spm_08/testvolume/grid3/JR_7408MR_2m_t70/cellhd].
ERROR: Invalid region: North must be larger than South

and a crash with

r3.info map=JR_7408MR_2m_t70@testvolume   

3d-rasters/volumes in wingrass6.4.3svn/RC aren't usable at the moment.

Helmut

comment:4 Changed 7 years ago by neteler

Please try r55120 in GRASS 7 (may be backported to G6: lib/g3d/g3dwindowio.c if working)

comment:5 in reply to:  4 Changed 7 years ago by hellik

Replying to neteler:

Please try r55120 in GRASS 7 (may be backported to G6: lib/g3d/g3dwindowio.c if working)

tested with

System Info                                                                     
GRASS version: 7.0.svn                                                          
GRASS SVN Revision: 55121                                                       
Build Date: 2013-02-20                                                          
GIS Library Revision: 52468 (2012-07-27)                                        
GDAL/OGR: 1.9.2                                                                 
PROJ.4: 4.8.0                                                                   
GEOS: 3.3.6dev                                                                  
SQLite: 3.7.10                                                                  
Python: 2.7.2                                                                   
wxPython: 2.8.12.1                                                              
Platform: Windows-7-6.1.7601-SP1 (OSGeo4W)     
r3.info map=precip3d.500z50@PERMANENT                                           
WARNING: You are using an old raster3d data format, the vertical unit is undefined. Please use r3.support to define the vertical unit to avoid this warning.
 +----------------------------------------------------------------------------+
 | Layer:    precip3d.500z50@PERMANENT      Date: ??                          |
 | Mapset:   PERMANENT                      Login of Creator: ??              |
 | Location: slovakia3d                                                       |
 | DataBase: C:\grassdata                                                     |
 | Title:    ??                                                               |
 | Units:    none                                                             |
 | Vertical unit: (null)                                                      |
 | Timestamp: none                                                            |
 |----------------------------------------------------------------------------|
 |                                                                            |
 |   Type of Map:  3d cell              Number of Categories: 0               |
 |   Data Type:    DCELL                                                      |
 |   Rows:         510                                                        |
 |   Columns:      890                                                        |
 |   Depths:       6                                                          |
 |   Total Cells:  2723400                                                    |
 |   Total size:           6728954 Bytes                                      |
 |   Number of tiles:      7168                                               |
 |   Mean tile size:       938 Bytes                                          |
 |   Tile size in memory:  4096 Bytes                                         |
 |   Number of tiles in x, y and  z:   112, 64, 1                             |
 |   Dimension of a tile in x, y, z:   8, 8, 8                                |
 |                                                                            |
 |        Projection: x,y (zone 0)                                            |
 |            N:    5530000    S:    5275000   Res:   500                     |
 |            E:    4631000    W:    4186000   Res:   500                     |
 |            T:       3000    B:          0   Res:   500                     |
 |   Range of data:   min = 525.45690918 max = 1801.44433594                  |
 |                                                                            |
 +----------------------------------------------------------------------------+
(Wed Feb 20 17:14:56 2013) Command finished (0 sec)                             
g.region -p rast3d=precip3d.500z50@PERMANENT                                    
projection: 0 (x,y)
zone:       0
north:      5530000
south:      5275000
west:       4186000
east:       4631000
nsres:      500
ewres:      500
rows:       510
cols:       890
cells:      453900
(Wed Feb 20 17:16:45 2013) Command finished (0 sec)                             

seems to work with this revision in G7.

backport?

thanks Helmut

comment:6 Changed 7 years ago by neteler

Excellent. Backported to 6.4 and 6.5 in r55135 and r55136: please test also there.

comment:7 in reply to:  6 Changed 7 years ago by hellik

Resolution: fixed
Status: newclosed

Replying to neteler:

Excellent. Backported to 6.4 and 6.5 in r55135 and r55136: please test also there.

tested with

System Info                                                                     
GRASS version: 6.4.3svn                                                         
GRASS SVN Revision: 55137                                                       
GIS Library Revision: 50937 (2012-02-25)                                        
GDAL/OGR: 1.9.2                                                                 
PROJ4: Rel. 4.8.0, 6 March 2012                                                 
Python: 2.7.2                                                                   
wxPython: 2.8.12.1                                                              
Platform: Windows-7-6.1.7601-SP1 (OSGeo4W)   
g.region -p -3 rast3d=precip3d.500z50@PERMANENT                                 
projection: 0 (x,y)
zone:       0
north:      5530000
south:      5275000
west:       4186000
east:       4631000
top:        3000.00000000
bottom:     0.00000000
nsres:      500
nsres3:     500
ewres:      500
ewres3:     500
tbres:      500
rows:       510
rows3:      510
cols:       890
cols3:      890
depths:     6
cells:      453900
cells3:     2723400
(Thu Feb 21 10:13:03 2013) Command finished (0 sec)    
r3.info map=precip3d.500z50@PERMANENT                                           
 +----------------------------------------------------------------------------+
 | Layer:    precip3d.500z50@PERMANENT      Date: ??                          |
 | Mapset:   PERMANENT                      Login of Creator: ??              |
 | Location: slovakia3d                                                       |
 | DataBase: C:\grassdata                                                     |
 | Title:     ( ?? )                                                          |
 | Timestamp: none                                                            |
 |----------------------------------------------------------------------------|
 |                                                                            |
 |   Type of Map:  3d cell              Number of Categories: 0               |
 |   Data Type:    double                                                     |
 |   Rows:         510                                                        |
 |   Columns:      890                                                        |
 |   Depths:       6                                                          |
 |   Total Cells:  2723400                                                    |
 |        Projection: x,y (zone 0)                                            |
 |            N:    5530000    S:    5275000   Res:   500                     |
 |            E:    4631000    W:    4186000   Res:   500                     |
 |            T:       3000    B:          0   Res:   500                     |
 |   Range of data:   min = 525.45690918 max = 1801.44433594                  |
 |                                                                            |
 +----------------------------------------------------------------------------+

seems to work, closing ticket.

Helmut

Note: See TracTickets for help on using tickets.